## PhoshBackground

PhoshBackground — The monitor's background

## Functions

GtkWidget * | phosh_background_new ()
void | phosh_background_set_primary ()
void | phosh_background_set_scale ()

## Properties

gboolean | primary | Read / Write / Construct
float | scale | Read / Write / Construct

## Signals

void | background-loaded | Run Last

## Types and Values

#define | PHOSH_TYPE_BACKGROUND
| PhoshBackground

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshBackground

## Implemented Interfaces

PhoshBackground implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_background_new ()

    GtkWidget *
    phosh_background_new (gpointer layer_shell,
                          gpointer wl_output,
                          float scale,
                          gboolean primary);

### phosh_background_set_primary ()

    void
    phosh_background_set_primary (PhoshBackground *self,
                                  gboolean primary);

### phosh_background_set_scale ()

    void
    phosh_background_set_scale (PhoshBackground *self,
                                float scale);

## Types and Values

### PHOSH_TYPE_BACKGROUND

    #define PHOSH_TYPE_BACKGROUND (phosh_background_get_type())

### PhoshBackground

    typedef struct _PhoshBackground PhoshBackground;

## Property Details

### The `“primary”` property

      “primary”                  gboolean

Whether this is the background for the primary monitor.

Owner: PhoshBackground

Flags: Read / Write / Construct

Default value: FALSE

### The `“scale”` property

      “scale”                    float

The output scale.

Owner: PhoshBackground

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 1

## Signal Details

### The `“background-loaded”` signal

    void
    user_function (PhoshBackground *phoshbackground,
                   gpointer         user_data)

Flags: Run Last